## org.eclipse.xsd
Interface XSDSchemaDirective

All Superinterfaces:
  EObject, Notifier, XSDConcreteComponent, XSDSchemaContent

All Known Subinterfaces:
  XSDImport, XSDInclude, XSDRedefine, XSDSchemaCompositor

All Known Implementing Classes:
  XSDImportImpl, XSDIncludeImpl, XSDRedefineImpl, XSDSchemaCompositorImpl, XSDSchemaDirectiveImpl

    public interface XSDSchemaDirective

extends XSDSchemaContent

A representation of the model object 'Schema Directive'. It is used to represent aspects common to '`Import`', '`Include`' and '`Redefine`'.

The following features are supported:

- `Schema Location`
- `Resolved Schema`

See Also:
  `XSDPackage.getXSDSchemaDirective()`

Method Summary
`XSDSchema` `getResolvedSchema()` Returns the value of the 'Resolved Schema' reference
`java.lang.String` `getSchemaLocation()` Returns the value of the 'Schema Location' attribute
`void` `setResolvedSchema(XSDSchema value)` Sets the value of the '`Resolved Schema`' reference
`void` `setSchemaLocation(java.lang.String value)` Sets the value of the '`Schema Location`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSchemaLocation

    java.lang.String getSchemaLocation()

  Returns the value of the 'Schema Location' attribute.

  This concrete attribute represents the value of the import schemaLocation, include schemaLocation, or redefine schemaLocation attribute. It is used in conjunction with the `schema's location`, to compute the `resolved schema`.

  Returns:
    the value of the 'Schema Location' attribute.
  See Also:
    `XSDSchema.getSchemaLocation()`, `getResolvedSchema()`, `setSchemaLocation(String)`, `XSDPackage.getXSDSchemaDirective_SchemaLocation()`

### setSchemaLocation

    void setSchemaLocation(java.lang.String value)

  Sets the value of the '`Schema Location`' attribute.

  Parameters:
    `value` - the new value of the 'Schema Location' attribute.
  See Also:
    `getSchemaLocation()`

### getResolvedSchema

    XSDSchema getResolvedSchema()

  Returns the value of the 'Resolved Schema' reference.

  This represents the actual schema resolved by the '`Schema Location`' attribute.

  Returns:
    the value of the 'Resolved Schema' reference.
  See Also:
    `getSchemaLocation()`, `setResolvedSchema(XSDSchema)`, `XSDPackage.getXSDSchemaDirective_ResolvedSchema()`

### setResolvedSchema

    void setResolvedSchema(XSDSchema value)

  Sets the value of the '`Resolved Schema`' reference.

  Parameters:
    `value` - the new value of the 'Resolved Schema' reference.
  See Also:
    `getResolvedSchema()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.